Get Runs
GET
/api/v1/self-improvement/runs
const url = 'https://api.ultimateteam.ai/api/v1/self-improvement/runs';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ultimateteam.ai/api/v1/self-improvement/runs \ --header 'X-API-Key: <X-API-Key>'Return the last 50 self_improvement_run_log rows for the
caller’s tenant, ordered by started_at DESC.
Optional ?run_type= filter restricts to a single run type.
Requires SYSTEM_VIEW (chairman / operator / viewer).
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters”Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
RunLogListResponse
object
items
required
Items
Array<object>
RunLogItemA single self_improvement_run_log row exposed to the UI.
object
id
required
Id
string format: uuid
inputs
required
Inputs
object
key
additional properties
any
outputs
required
Outputs
object
key
additional properties
any
run_type
required
Run Type
string
started_at
required
Started At
string format: date-time
status
required
Status
string
Example
{ "items": [ { "run_type": "weekly_prompt_ab", "status": "running" } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}